Name: 		perl-Date-Pcalc
Version:	1.2
Release:	5%{?dist}
Summary:	Gregorian calendar date calculations
License:	GPL+ or Artistic
Group:		Development/Libraries
URL: 		http://search.cpan.org/dist/Date-Pcalc/
Source0: 	http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/Date-Pcalc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: 	noarch
BuildRequires:  %{_bindir}/iconv
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
This package consists of a Perl module for all kinds of date calculations based
on the Gregorian calendar (the one used in all western countries today), 
thereby complying with all relevant norms and standards: ISO/R 2015-1971, 
DIN 1355 and, to some extent, ISO 8601 (where applicable).

%prep
%setup -q -n Date-Pcalc-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{_bindir}/iconv --from-code=ISO-8859-1 --to-code=UTF-8 blib/man3/Date::Pcalc.3pm -o blib/man3/Date::Pcalc.3pm-utf8
mv  blib/man3/Date::Pcalc.3pm-utf8 blib/man3/Date::Pcalc.3pm 
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt EXAMPLES.txt CREDITS.txt GNU_GPL.txt Artistic.txt
%{perl_vendorlib}/Date
%{_mandir}/man3/*

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-5.1
Rebuild for new perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-4.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Thu Sep 07 2006 Mike McGrath <imlinux@gmail.com> - 1.2-4
- Release bump

* Mon Mar 20 2006 Mike McGrath <imlinux@gmail.com> - 1.2-3
- Minor fixes and formatting in spec file

* Sun Mar 19 2006 Mike McGrath <imlinux@gmail.com> - 1.2-2
- Include license and credits
- Convert manpage to utf-8

* Sat Mar 18 2006 Mike McGrath <imlinux@gmail.com> - 1.2-1
- First attempt at a Fedora friendly spec file
